Nestopia Core API: Nes::Api::Video

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::Video

    Base
       |
       +--Nes::Api::Video

class Nes::Api::Video
extends Base

Video interface.

Inner Classes, Typedefs, and Enums
`struct` | `Nes::Api::Video::Decoder` YUV decoder context.
`enum` | `Nes::Api::Video::DecoderPreset` YUV decoder presets.
`typedef` | `Nes::Api::Video::Output` Video output context.
`class` | `Nes::Api::Video::Palette` Palette interface.
`struct` | `Nes::Api::Video::RenderState` Render state context.

Constructor Summary
`Video( T& instance )` Interface constructor.

Method Summary
`bool` | `AreUnlimSpritesEnabled() const` Checks if the PPU sprite software extension is enabled.
`Result` | `Blit( Nes::Api::Video::Output& output )` Performs a manual blit to the video output object.
`void` | `EnableFieldMerging( bool state )` Enables field merging for the NTSC filter.
`Result` | `EnableUnlimSprites( bool state )` Allows the PPU to render more than eight sprites per line.
`int` | `GetBrightness() const` Returns the current brightness.
`int` | `GetColorArtifacts() const` Returns the current color artifacts for the NTSC filter.
`int` | `GetColorBleed() const` Returns the current color bleed for the NTSC filter.
`int` | `GetColorFringing() const` Returns the current color fringing for the NTSC filter.
`int` | `GetColorResolution() const` Returns the current color resolution for the NTSC filter.
`int` | `GetContrast() const` Returns the current contrast.
`const Nes::Api::Video::Decoder&` | `GetDecoder() const` Returns the current YUV decoder.
`int` | `GetHue() const` Returns the current hue.
`Nes::Api::Video::Palette` | `GetPalette()` Returns the palette interface.
`Result` | `GetRenderState( Nes::Api::Video::RenderState& state ) const` Returns the current render state.
`int` | `GetSaturation() const` Returns the current saturation.
`int` | `GetSharpness() const` Returns the current sharpness for the NTSC filter.
`bool` | `IsFieldMergingEnabled() const` Checks if NTSC filter field merging is enabled.
`Result` | `SetBrightness( int value )` Sets the brightness.
`Result` | `SetColorArtifacts( int value )` Sets the color artifacts for the NTSC filter.
`Result` | `SetColorBleed( int value )` Sets the color bleed for the NTSC filter.
`Result` | `SetColorFringing( int value )` Sets the color fringing for the NTSC filter.
`Result` | `SetColorResolution( int value )` Sets the color resolution for the NTSC filter.
`Result` | `SetContrast( int value )` Sets the contrast.
`Result` | `SetDecoder( const Nes::Api::Video::Decoder& decoder )` Sets the YUV decoder.
`Result` | `SetHue( int value )` Sets the hue.
`Result` | `SetRenderState( const Nes::Api::Video::RenderState& state )` Sets the render state.
`Result` | `SetSaturation( int value )` Sets the saturation.
`Result` | `SetSharpness( int value )` Sets the sharpness for the NTSC filter.

Constructor Detail

### Video

    public Video( T& instance );

  Interface constructor.

Parameters:
  `instance` - emulator instance

Method Detail

### AreUnlimSpritesEnabled

    public bool AreUnlimSpritesEnabled() const throw();

  Checks if the PPU sprite software extension is enabled.

Returns:
  true if enabled

### Blit

    public Result Blit( Nes::Api::Video::Output& output ) throw();

  Performs a manual blit to the video output object. The core calls this method internally for each frame.

Parameters:
  `output` - video output object to blit to
Returns:
  result code

### EnableFieldMerging

    public void EnableFieldMerging( bool state ) throw();

  Enables field merging for the NTSC filter.

Parameters:
  `state` - true to enable

### EnableUnlimSprites

    public Result EnableUnlimSprites( bool state ) throw();

  Allows the PPU to render more than eight sprites per line.

Parameters:
  `state` - true to allow it, default is false
Returns:
  result code

### GetBrightness

    public int GetBrightness() const throw();

  Returns the current brightness.

Returns:
  brightness value in the range -100 to 100

### GetColorArtifacts

    public int GetColorArtifacts() const throw();

  Returns the current color artifacts for the NTSC filter.

Returns:
  color artifacts value in the range -100 to 100

### GetColorBleed

    public int GetColorBleed() const throw();

  Returns the current color bleed for the NTSC filter.

Returns:
  color bleed value in the range -100 to 100

### GetColorFringing

    public int GetColorFringing() const throw();

  Returns the current color fringing for the NTSC filter.

Returns:
  color fringing value in the range -100 to 100

### GetColorResolution

    public int GetColorResolution() const throw();

  Returns the current color resolution for the NTSC filter.

Returns:
  color resolution value in the range -100 to 100

### GetContrast

    public int GetContrast() const throw();

  Returns the current contrast.

Returns:
  contrast value in the range -100 to 100

### GetDecoder

    public const Nes::Api::Video::Decoder& GetDecoder() const throw();

  Returns the current YUV decoder.

Returns:
  current decoder

### GetHue

    public int GetHue() const throw();

  Returns the current hue.

Returns:
  hue value in the range -45 to 45

### GetPalette

    public Nes::Api::Video::Palette GetPalette();

  Returns the palette interface.

Returns:
  palette interface

### GetRenderState

    public Result GetRenderState( Nes::Api::Video::RenderState& state ) const throw();

  Returns the current render state.

Parameters:
  `state` - object to be filled
Returns:
  result code

### GetSaturation

    public int GetSaturation() const throw();

  Returns the current saturation.

Returns:
  saturation value in the range -100 to 100

### GetSharpness

    public int GetSharpness() const throw();

  Returns the current sharpness for the NTSC filter.

Returns:
  sharpness value in the range -100 to 100

### IsFieldMergingEnabled

    public bool IsFieldMergingEnabled() const throw();

  Checks if NTSC filter field merging is enabled.

Returns:
  true if enabled

### SetBrightness

    public Result SetBrightness( int value ) throw();

  Sets the brightness.

Parameters:
  `value` - brightness in the range -100 to 100, default is 0
Returns:
  result code

### SetColorArtifacts

    public Result SetColorArtifacts( int value ) throw();

  Sets the color artifacts for the NTSC filter.

Parameters:
  `value` - color artifacts in the range -100 to 100, default is 0
Returns:
  result code

### SetColorBleed

    public Result SetColorBleed( int value ) throw();

  Sets the color bleed for the NTSC filter.

Parameters:
  `value` - color bleed in the range -100 to 100, default is 0
Returns:
  result code

### SetColorFringing

    public Result SetColorFringing( int value ) throw();

  Sets the color fringing for the NTSC filter.

Parameters:
  `value` - fringing in the range -100 to 100, default is 0
Returns:
  result code

### SetColorResolution

    public Result SetColorResolution( int value ) throw();

  Sets the color resolution for the NTSC filter.

Parameters:
  `value` - color resolution in the range -100 to 100, default is 0
Returns:
  result code

### SetContrast

    public Result SetContrast( int value ) throw();

  Sets the contrast.

Parameters:
  `value` - contrast in the range -100 to 100, default is 0
Returns:
  result code

### SetDecoder

    public Result SetDecoder( const Nes::Api::Video::Decoder& decoder ) throw();

  Sets the YUV decoder.

Parameters:
  `decoder` - decoder
Returns:
  result code

### SetHue

    public Result SetHue( int value ) throw();

  Sets the hue.

Parameters:
  `value` - hue in the range -45 to 45, default is 0
Returns:
  result code

### SetRenderState

    public Result SetRenderState( const Nes::Api::Video::RenderState& state ) throw();

  Sets the render state.

Parameters:
  `state` - render state to be set
Returns:
  result code

### SetSaturation

    public Result SetSaturation( int value ) throw();

  Sets the saturation.

Parameters:
  `value` - saturation in the range -100 to 100, default is 0
Returns:
  result code

### SetSharpness

    public Result SetSharpness( int value ) throw();

  Sets the sharpness for the NTSC filter.

Parameters:
  `value` - sharpness in the range -100 to 100, default is 0
Returns:
  result code

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD